PGAGetMutationAndCrossoverFlag(8)

NAME
PGAGetMutationAndCrossoverFlag - Returns true if mutation occurs only when crossover does.

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
crossed
    -over strings. Otherwise, returns PGA_FALSE

SYNOPSIS
#include "pgapack.h"
int  PGAGetMutationAndCrossoverFlag(ctx)
PGAContext *ctx

LOCATION
pga.c

EXAMPLE
PGAContext *ctx;
int mutatetype;
:
mutatetype = PGAGetMutationAndCrossoverFlag(ctx);
switch (mutatetype) {
case PGA_TRUE:
printf("Mutating strings only after crossover);
break;
case PGA_FALSE:
printf("Only mutating strings not undergoing crossover);
break;
}